Subject: bug#18995: Error: Could not reserve dynamic heap area.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Nov 2014 22:05:26 +0200

> Date: Sat, 8 Nov 2014 20:58:02 +0100
> From: Alexander Shukaev <[email-masked]>
> Cc: [email-masked]
> 
>     Do you understand why -funroll-loops causes the code to fail to work?
>     
>     Because I cannot. Unless I'm missing something, this sounds like a
>     GCC bug.
>     
> 
> I've no idea. For that we would have to look into generated assembly code, but
> I'd rather leave that for compiler professionals to analyze. Would forward it
> to GCC guys?

It probably does warrant a GCC bug report.

> And how about filtering this flag for good as I asked earlier?
> 
>     CFLAGS := $(filter-out -funroll-loops,$(CFLAGS))

What for?  It's a perfectly legitimate compiler switch, and should
work here as well, I think.